Subject: Re: [secdir] SECDIR review of draft-ietf-6lowpan-usecases-09.txt

From: "Eunsook \"Eunah\" Kim" <[email-masked]>
Date: Tue, 1 Mar 2011 00:26:53 +0100

Dear Donald,

Thanks for the valuable comment.
I agree with you. It must be good to have such references.
I'm now on my biz trip which quite occupies me.
I will include your suggestion in the revision within the next week.

Thanks,
Eunah

On Mon, Feb 28, 2011 at 4:43 AM, Donald Eastlake <[email-masked]> wrote:
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the
> IESG. Document editors and WG chairs should treat
> these comments just like any other last call comments
>
> As you might guess from the draft name, this is an informational
> document describing a number of use cases for low-power wireless
> personal area networks. The security considerations section,
> reasonably enough, briefly indicates why different use cases may have
> considerably different security requirements and what some types of
> such security requirements could be.
>
> The thing that I think is lacking is some hint as to where to look to
> find possible mechanisms to meet those requirements. For this type of
> document, no detailed analysis of mechanisms is needed. But I would
> feel better if a sentence could be added such as follow (with some
> alternative wording in square brackets): "These varied security
> requirement [can commonly][are expected to] be met by the use of
> mechanisms such as IPsec and IKE, TLS, or 802.15.4 link security.". If
> there is an appropriate security mechanism survey document that would
> be fine. I did look at RFC 4919 as something that could be referenced
> and it seems too preliminary and tentative. RFC 4944 is only a little
> better. Perhaps there should be a reference to
> draft-qiu-6lowpan-secure-router at least as an example of work in
> progress in this area.
>
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street
>  Milford, MA 01757 USA
>  [email-masked]
>